package com.ss.android.ugc.aweme.commercialize.views.cards;

import X.0CB;
import X.0CH;
import X.2FW;
import X.2GO;
import X.6Is;
import X.C3290LFp;
import X.C3376LIx;
import X.CqM;
import X.LJ0;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.feed.model.Aweme;
import com.ss.android.ugc.aweme.feed.model.CardStruct;

public class CouponAdCardAction extends AbsAdCardAction implements 6Is, 2GO {
    static {
        Covode.recordClassIndex(59982);
    }

    public void onStateChanged(0CH r1, 0CB r2) {
        super.onStateChanged(r1, r2);
    }

    public final void LIZLLL() {
        super.LIZLLL();
        CardStruct LJ = C3290LFp.LJ(this.LIZJ);
        if (LJ != null && LJ.getCardStyle() != 2 && this.LIZLLL.LIZLLL() != null) {
            this.LIZLLL.LIZLLL().setBackgroundResource(2131231299);
        }
    }

    public final void LJ() {
        super.LJ();
        C3376LIx lIx = new C3376LIx();
        lIx.LIZ("click");
        lIx.LIZIZ("card");
        lIx.LIZ(this.LIZJ);
        LIZ(lIx.LIZ());
        CqM.LIZ(new 2FW(this.LIZJ, 17));
    }

    public CouponAdCardAction(Context context, Aweme aweme, LJ0 lj0) {
        super(context, aweme, lj0);
        this.LIZ = 2131231882;
        this.LJFF = true;
    }
}
